Bug 1684947 - Release Notes do not document dstat packaging changes [NEEDINFO]
Summary: Release Notes do not document dstat packaging changes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: doc-Release_Notes-8-en-US
Version: 8.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 8.0
Assignee: Ioanna Gkioka
QA Contact: RHEL DPM
Marie Dolezelova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-04 00:10 UTC by Bernd Eckenfels
Modified: 2019-06-14 01:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.Notable changes in `dstat` RHEL 8 is distributed with a new version of the `dstat` tool. This tool is now a part of the Performance Co-Pilot (PCP) toolkit. The `/usr/bin/dstat` file and the `dstat` package name is now provided by the `pcp-system-tools` package. The new version of `dstat` introduces the following enhancements over `dstat` available in RHEL 7: * `python3` support * Historical analysis * Remote host analysis * Configuration file plugins * New performance metrics
Clone Of:
Environment:
Last Closed: 2019-06-14 01:11:26 UTC
Type: Bug
mdolezel: needinfo? (nathans)


Attachments (Terms of Use)

Description Bernd Eckenfels 2019-03-04 00:10:40 UTC
Document URL: https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8-beta/html-single/8.0_beta_release_notes/index#con_beta-warning

Section Number and Name:  7

Describe the issue: The package dstat has been available in 7.6 and I dont see it in 8beta2 anymore. The release notes does not provide a replacement. (There is mentioning of pcp-dstat in the release notes but its not clear if this is a replacement, especialyl since pcp-system-tools have a lot of dependencies (including gcc).

Suggestions for improvement: list dstat as removed or name replacement (optionally provide dstat).

Comment 1 Ioanna Gkioka 2019-03-04 15:45:44 UTC
Hello,

thanks a lot for your feedback. The Beta release is a preview and the list of the changes to packages is incomplete. The list is continuously growing and the updates are planned for the GA release. 
Thank you for your understanding.

Comment 2 Gerrit Slomma 2019-03-13 22:33:14 UTC
Understood.
But what is the stance on dstat? pcp-dstat from pcp-system-tools pulls in cpp and gcc as dependencies and has an hefty installed size of 103 MB with all dependencies for a small tool of formerly 88 kB in Red Hat Enterprise Linux 7.
Usually cpp and gcc are frowned upon in productive environments where dstat is used regularly (at least by me).

[roadrunner@hive01 Downloads]$ sudo yum install pcp-system-tools
[sudo] password for roadrunner: 
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Updating Subscription Management repositories.
Unable to read consumer identity
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Last metadata expiration check: 0:34:23 ago on Wed 13 Mar 2019 09:48:00 PM CET.
Dependencies resolved.
========================================================================================================================================================================================================
 Package                                       Arch                                Version                                     Repository                                                          Size
========================================================================================================================================================================================================
Installing:
 pcp-system-tools                              x86_64                              4.1.3-3.el8                                 rhel-8-for-x86_64-appstream-beta-rpms                              180 k
Installing dependencies:
 cpp                                           x86_64                              8.2.1-3.3.el8                               rhel-8-for-x86_64-appstream-beta-rpms                               10 M
 gcc                                           x86_64                              8.2.1-3.3.el8                               rhel-8-for-x86_64-appstream-beta-rpms                               23 M
 isl                                           x86_64                              0.16.1-6.el8                                rhel-8-for-x86_64-appstream-beta-rpms                              841 k
 libmpc                                        x86_64                              1.0.2-9.el8                                 rhel-8-for-x86_64-appstream-beta-rpms                               59 k
 pcp                                           x86_64                              4.1.3-3.el8                                 rhel-8-for-x86_64-appstream-beta-rpms                              1.1 M
 pcp-conf                                      x86_64                              4.1.3-3.el8                                 rhel-8-for-x86_64-appstream-beta-rpms                               44 k
 pcp-libs                                      x86_64                              4.1.3-3.el8                                 rhel-8-for-x86_64-appstream-beta-rpms                              475 k
 pcp-selinux                                   x86_64                              4.1.3-3.el8                                 rhel-8-for-x86_64-appstream-beta-rpms                               42 k
 python3-pcp                                   x86_64                              4.1.3-3.el8                                 rhel-8-for-x86_64-appstream-beta-rpms                              154 k
 glibc-devel                                   x86_64                              2.28-18.el8                                 rhel-8-for-x86_64-baseos-beta-rpms                                 1.0 M
 glibc-headers                                 x86_64                              2.28-18.el8                                 rhel-8-for-x86_64-baseos-beta-rpms                                 462 k
 kernel-headers                                x86_64                              4.18.0-32.el8                               rhel-8-for-x86_64-baseos-beta-rpms                                 1.3 M
 libxcrypt-devel                               x86_64                              4.1.1-4.el8                                 rhel-8-for-x86_64-baseos-beta-rpms                                  25 k

Transaction Summary
========================================================================================================================================================================================================
Install  14 Packages

Total download size: 39 M
Installed size: 103 M
Is this ok [y/N]: n
Operation aborted.


[roadrunner@hive01 Downloads]$ rpm -pq --provides pcp-system-tools-4.1.3-3.el8.x86_64.rpm
/usr/bin/dstat
config(pcp-system-tools) = 4.1.3-3.el8
pcp-system-tools = 4.1.3-3.el8
pcp-system-tools(x86-64) = 4.1.3-3.el8

Comment 3 Ioanna Gkioka 2019-03-14 07:03:41 UTC
(In reply to Gerrit Slomma from comment #2)
Hello Gerrit,

Thanks for your question. I am looping our engineers in this. Lukas, Nathan, could you please answer to Gerrit's question (comment#2)?

Thank you!

Comment 4 Nathan Scott 2019-03-14 07:52:33 UTC
There are numerous points of confusion in this bug report, so some clarification in the release would be a good idea.

Not helping us here is the fact that the beta images are now months out of date and much has moved on since then.

pcp-system-tools provides the new dstat package, which replaces the old version, in the sense of

| $ rpm -q --whatprovides dstat
| pcp-system-tools-4.3.0-3.x86_64

So dstat lives on and has not been removed in RHEL-8.

The dependency on gcc, cpp and other devel packages was a packaging error that has since been resolved.  There are a handful of new dependencies (like python3-pcp) but this is entirely warranted given the quantum leap in functionality that the new dstat offers over the old.  The old version of dstat is unmaintained upstream.  The new version has python3 support, historical analysis, remote host analysis, configuration file plugins, and many hundreds of new performance metrics that can be reported.

These things should probably all be specifically listed in the release notes I guess, Ioanna.

cheers.

Comment 5 Ioanna Gkioka 2019-03-14 08:40:34 UTC
(In reply to Nathan Scott from comment #4)


Hello Nathan,

thanks a lot for your information. I marked that as a Release Notes candidate for RHEL 8.0 GA and I am assigning that to Marie as dstat is closed to the sst_cs_plumbers. 

Thank you!


Note You need to log in before you can comment on or make changes to this bug.